### Constructor

# Gsk DebugNode new

#### Declaration [src]

    GskRenderNode*
    gsk_debug_node_new (
      GskRenderNode* child,
      char* message
    )

#### Description [src]

Creates a `GskRenderNode` that will add debug information about the given `child`.

Adding this node has no visual effect.

#### Parameters

`child` | `GskRenderNode`
| The child to add debug info for.
| The data is owned by the caller of the function.
`message` | `char*`
| The debug message.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GskDebugNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.